ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: VOTE: add an antlib (and optional task) loader to ant 1.7
Date Tue, 05 Sep 2006 04:06:54 GMT
On Mon, 04 Sep 2006, Steve Loughran <stevel@apache.org> wrote:

>  >
>  > Vote:
>  >  yes this is a good thing for 1.7 [  ]
>  >  no,  let us stabilize 1.7            [  X]
>  >
> 
> I think right now I'm going to in the no category, though +0 rather
> than -1.  This is not because I dont think its a good idea -I think
> it is wonderful- but I think the complications of adding it will add
> lots of surprises. Most importantly, it becomes really hard to
> uninvent once it has shipped.

Same here.

> What we could do is take this as the opportunity to make a working
> 1.8 branch and put in in there, and post 1.7.0 think about adding it
> to the 1.7.x branch.

Or rather create an 1.7.x branch and put the classloader into trunk.

We are not required to let three years pass between 1.7.0 and 1.8.0.

Stefan

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message